package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyFixedExpenseAppendReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ExpenseRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ExpenseSaveReqVO;

/**
 * 长者费用记录 Service 接口
 *
 * @author 管理员
 */
public interface ExpenseService {


    Long createExpense(ExpenseSaveReqVO createReqVO);

    ExpenseRespVO getExpense(Long elderId, Long contractId);

    void renewContract(ExpenseSaveReqVO createReqVO);

    void appendFixedExpense(ElderlyFixedExpenseAppendReqVO reqVO);
}